function watom2im(cfs)
% WATOM2IM - Zobrazeni koeficientu 2D transformace WaveAtom a WaveAtomME
%   WATOM2IM zobrazuje 2D dekompozici WaveAtom a WaveAtomME pomoci
%   koeficientu CFS.
%    
%   Obecny tvar funkce:
%   WATOM2IM(CFS)
% 
%   !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
%   !!! Funkce slouzi pouze pro ukazku rozlozeni koeficientu      !!!
%   !!! transformace WaveAtom a WaveAtomME. Pri vypoctech dochazi !!!
%   !!! k omezeni hodnot jednotlivych keoficientu.                !!!
%   !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
% 


% if exist('logar','var') % Pro zobrazeni koeficientu s nizsi hodnotou
%     cfs = log(cfs);     % Pro pouziti treba odkomentovat tuto cast
%     cfs = real(cfs);    % a zmenit volani funkce na:
% end                     % function watom2im(cfs,logar)

u = size(cfs);
if length(u) == 2;
    crange = mean(cfs(:)) + std(cfs(:)) * [-1, 1];
    imagesc(real(cfs), crange);
    colorbar;
%     colormap(gray);
else
    for i = 1:u(3)
        c = cfs(:,:,i);
        crange = mean(c(:)) + std(c(:)) * [-1, 1];
        if u(3) == 2
            subplot(1,2,i);
        else
            subplot(2,2,i);
        end
        imagesc(real(c), crange);
%         colormap(gray);
        colorbar;
    end
end